## ftl-dmo 0.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
enable_language(C)
project(libftl)

set(FTL_VERSION "0.10.1")

option(DISABLE_AUTO_INGEST "Set to TRUE to disable auto ingest feature which removes curl and jansson dependancies" FALSE)
message(STATUS "FTL DISABLE_AUTO_INGEST: " ${DISABLE_AUTO_INGEST})

option(FTL_STATIC_COMPILE "Set to TRUE if you want ftl to be compiled as a static lib. If TRUE, the program will want to statically link to the ftl cmake object." FALSE)
message(STATUS "FTL FTL_STATIC_COMPILE: " ${FTL_STATIC_COMPILE})

include(GNUInstallDirs)
find_package(Threads REQUIRED)
find_package(PkgConfig)

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

if (DISABLE_AUTO_INGEST)
    add_definitions(-DDISABLE_AUTO_INGEST)
endif ()

# We will only try to include curl if we have auto ingest enabled.
if (NOT DISABLE_AUTO_INGEST)
    find_package(CURL)
endif ()
if (NOT CURL_FOUND AND NOT DISABLE_AUTO_INGEST)
    set(CURL_DISABLE_NTLM ON CACHE BOOL "Disabling NTLM")
    set(CURL_DISABLE_TELNET ON CACHE BOOL "Disabling Telnet")
    set(CURL_DISABLE_LDAP ON CACHE BOOL "Disabling Ldap")
    set(CURL_DISABLE_LDAPS ON CACHE BOOL "Disabling secure ldap")
    set(BUILD_CURL_EXE OFF CACHE BOOL "Building libcurl")
    set(HTTP_ONLY ON CACHE BOOL "using compiling HTTP")
    set(BUILD_TESTING OFF CACHE BOOL "Not building Tests")
    add_subdirectory(libcurl)
    set(CURL_INCLUDE_DIRS libcurl/include ${CMAKE_CURRENT_BINARY_DIR}/libcurl/include/curl)
    set(CURL_LIBRARIES libcurl)
    include_directories(${CURL_INCLUDE_DIRS})
endif ()

# We will only try to include lib jansson if auto ingest is enabled.
if (PKG_CONFIG_FOUND AND NOT DISABLE_AUTO_INGEST)
    pkg_check_modules(JANSSON jansson)
endif ()
if (NOT JANSSON_FOUND AND NOT DISABLE_AUTO_INGEST)
    set(JANSSON_BUILD_DOCS OFF CACHE BOOL "Jansson docs off")
    set(JANSSON_WITHOUT_TESTS ON CACHE BOOL "Jansson build without tests")
    set(JANSSON_EXAMPLES OFF CACHE BOOL "Jansson disable examples")
    set(USE_WINDOWS_CRYPTOAPI off)
    add_subdirectory(libjansson)
    set(JANSSON_INCLUDE_DIRS ${CMAKE_CURRENT_BINARY_DIR}/libjansson/include)
    set(JANSSON_LIBRARIES jansson)
    include_directories(${JANSSON_INCLUDE_DIRS})
endif ()

if (WIN32)
    #set(FTL_PLATFORM_LIBS kernel32 user32 gdi32 advapi32 )
    #set(FTL_PLATFORM_LIBS ws2_32 )
    set(FTLSDK_PLATFORM_FILES libftl/win32/socket.c
            libftl/win32/socket.h
            libftl/win32/threads.c
            libftl/win32/threads.h)
    include_directories(libftl/win32)
else ()
    set(FTLSDK_PLATFORM_FILES libftl/posix/socket.c
            libftl/posix/socket.h
            libftl/posix/threads.c
            libftl/posix/threads.h)
    include_directories(libftl/posix)
endif ()

# Figure out what kind of lib we should be producing.
if (FTL_STATIC_COMPILE)
    set(FTL_LIB_TYPE STATIC)
    add_definitions(-DFTL_STATIC_COMPILE=1)
else ()
    set(FTL_LIB_TYPE SHARED)
endif ()

add_library(ftl ${FTL_LIB_TYPE} libftl/hmac/hmac.c
        libftl/hmac/hmac.h
        libftl/hmac/sha2.c
        libftl/hmac/sha2.h
        libftl/gettimeofday/gettimeofday.c
        libftl/gettimeofday/gettimeofday.h
        libftl/ftl-sdk.c
        libftl/handshake.c
        libftl/ingest.c
        libftl/ftl_helpers.c
        libftl/media.c
        libftl/logging.c
        libftl/ftl.h
        libftl/ftl_private.h
        ${FTLSDK_PLATFORM_FILES})
include_directories(libftl libftl/gettimeofday)

set_target_properties(ftl PROPERTIES VERSION ${FTL_VERSION})
set_target_properties(ftl PROPERTIES SOVERSION 0)

target_link_libraries(ftl ${CURL_LIBRARIES} ${JANSSON_LIBRARIES})

if (WIN32)
    target_link_libraries(ftl ws2_32)
endif ()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libftl.pc.in
        ${CMAKE_CURRENT_BINARY_DIR}/libftl.pc @ONLY)

# Install rules
install(TARGETS ftl DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES libftl/ftl.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libftl)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libftl.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

## ftl-dmo 0.9.14

=== debian/changelog ===
ftl-dmo (1:0.9.14-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Mar 2022 10:46:10 +0200

=== debian/control ===
Source: ftl-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/mixer/ftl-sdk
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), libjansson-dev, libcurl4-gnutls-dev,
 ninja-build, quilt, cmake, pkg-config

Package: libftl0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Faster Than Light protocol - runtime libraries
 A real-time streaming protocol, which means it supports sub-second
 latency.This allows you to engage and communicate with your viewers in real
 time with virtually no delay.

Package: libftl-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libftl0 (= ${binary:Version}), ${misc:Depends}
Description: Faster Than Light protocol - development files
 A real-time streaming protocol, which means it supports sub-second
 latency.This allows you to engage and communicate with your viewers in real
 time with virtually no delay.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Bbuild -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-Wno-dev

override_dh_auto_test:

## ftl-dmo 0.10.1

=== debian/changelog ===
ftl-dmo (1:0.10.1-dmo2) unstable; urgency=medium

  * Fix build with cmake 4

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jan 2026 16:07:14 +0100

ftl-dmo (1:0.10.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Swith to new repository https://github.com/Scrumplex

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Nov 2024 14:41:33 +0100

ftl-dmo (1:0.9.14-dmo2) unstable; urgency=medium

  * Rebuild for time_t (libcurl3t64-gnutls)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 15:10:42 +0100

=== debian/control ===
Source: ftl-dmo
Section: libs
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/Scrumplex/ftl-sdk
Standards-Version: 4.7.3
Build-Depends: debhelper-compat (= 13), libjansson-dev, libcurl4-gnutls-dev,
 ninja-build, cmake, pkgconf, quilt,

Package: libftl0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Faster Than Light protocol - runtime libraries
 A real-time streaming protocol, which means it supports sub-second
 latency.This allows you to engage and communicate with your viewers in real
 time with virtually no delay.

Package: libftl-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libftl0 (= ${binary:Version}), ${misc:Depends},
Description: Faster Than Light protocol - development files
 A real-time streaming protocol, which means it supports sub-second
 latency.This allows you to engage and communicate with your viewers in real
 time with virtually no delay.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_C_FLAGS="$(CFLAGS) -fpermissive" \
	-DCMAKE_CXX_FLAGS="$(CXXFLAGS) -fpermissive" \
	-Wno-dev

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/Scrumplex/ftl-sdk/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
